// ************************************************************************
// ****************	    LIBRERึA DE ICONOS         ********************
// ************************************************************************

// ------------------------------------------------------------------------
// ----------------          LISTA DE ICONOS           --------------------
// ------------------------------------------------------------------------
// ษออออออออหอออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออป
// บ Nombre บ                   Especificaciขn                            บ
// ฬออออออออฮอออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออน
// บ icon1  บ  Es una cruz roja de 10x10 pixels.                          บ
// ฬออออออออฮอออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออน
// บ icon2  บ  Es una flecha (->) azul de 10x10 pixels.                   บ
// ฬออออออออฮอออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออน
// บ icon3  บ  Es un circulo con borde negro y pintado de verde de 10x10  บ
// บ        บ  pixels.                                                    บ
// ฬออออออออฮอออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออน
// บ icon4  บ  Es un cกrculo blanco (completo incluido borde) de 10x10    บ
// บ        บ  pixels.                                                    บ
// ฬออออออออฮอออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออน
// บ icon5  บ  Es un cกrculo negro (completo incluido borde) de 10x10     บ
// บ        บ  pixels.                                                    บ
// ฬออออออออฮอออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออน
// บ icon6  บ  Es un cกrculo blanco (completo incluido borde) de 20x20    บ
// บ        บ  pixels.                                                    บ
// ฬออออออออฮอออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออน
// บ icon7  บ  Es un cกrculo negro (completo incluido borde) de 20x20     บ
// บ        บ  pixels.                                                    บ
// บออออออออฮอออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออน
// บ icon8  บ  Es una flecha (->) gris (con punta azul) de 10x10 pixels.  บ
// บออออออออฮอออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออน
// บ *icon9 บ  Es una flecha (->) de color c de 10x10 pixels.             บ
// บออออออออฮอออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออน
// บ icon10 บ  Es un triangulo amarillo con lกneas negras y una exclama-  บ
// บ        บ  ciขn negra dentro. Es de 20x20 pixels.                     บ
// ศออออออออสอออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออผ
// ****** NOTA: A todos los iconos hay que pasarles la posiciขn X y la Y **
// ******       A los marcados con * hay que pasarles tambin el color   **


void icon1(int x,int y){
  setcolor(4);setlinestyle(0,1,3);
  line(x,y,x+10,y+10);line(x+10,y,x,y+10);
  setlinestyle(0,1,1);
}

void icon2(int x,int y){
  setcolor(1);setlinestyle(0,1,3);
  line(x,y+5,x+5,y+5);setlinestyle(0,1,1);
  line(x+5,y,x+10,y+5);line(x+5,y+10,x+10,y+5);line(x+5,y,x+5,y+10);
  setfillstyle(1,1);floodfill(x+6,y+6,1);
  setlinestyle(0,1,1);
}

void icon3(int x, int y){
  setlinestyle(0,1,1);
  setcolor(0);circle(x+5,y+5,5);
  setfillstyle(1,2);floodfill(x+5,y+5,0);
}

void icon4(int x, int y){
  setlinestyle(0,1,1);
  setcolor(15);circle(x,y,5);
  setfillstyle(1,15); floodfill(x,y,15);
}

void icon5(int x, int y){
  setlinestyle(0,1,1);
  setcolor(0);circle(x,y,5);
  setfillstyle(1,0); floodfill(x,y,0);
}

void icon6(int x, int y){
  setlinestyle(0,1,1);
  setcolor(15);circle(x,y,10);
  setfillstyle(1,15); floodfill(x,y,15);
}

void icon7(int x, int y){
  setlinestyle(0,1,1);
  setcolor(0);circle(x,y,10);
  setfillstyle(1,0); floodfill(x,y,0);
}

void icon8(int x,int y){
  setcolor(7);setlinestyle(0,1,3);
  line(x,y+5,x+5,y+5);setlinestyle(0,1,1);
  line(x+5,y,x+10,y+5);line(x+5,y+10,x+10,y+5);line(x+5,y,x+5,y+10);
  setfillstyle(1,1);floodfill(x+6,y+6,1);
  setlinestyle(0,1,1);
}

void icon9(int x,int y,int c){
  setcolor(c);setlinestyle(0,1,3);
  line(x,y+5,x+5,y+5);setlinestyle(0,1,1);
  line(x+5,y,x+10,y+5);line(x+5,y+10,x+10,y+5);line(x+5,y,x+5,y+10);
  setfillstyle(1,c);floodfill(x+6,y+6,c);
  setlinestyle(0,1,1);
}

void icon10(int x,int y){
  setcolor(0);line(x,y+20,x+20,y+20);
  line(x,y+20,x+10,y);line(x+20,y+20,x+10,y);
  setfillstyle(1,14);floodfill(x+10,y+19,0);
  setlinestyle(0,0,2);line(x+10,y+5,x+10,y+13);
  setlinestyle(0,0,1);circle(x+10,y+17,1);
  setfillstyle(1,0);floodfill(x+10,y+17,0);
}